当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 54 篇帖子 ]  前往页数 上一页  1, 2, 3, 4  下一页
作者 内容
31 楼 
 文章标题 : Re: 为什么vbox不能启动任务?
帖子发表于 : 2016-09-21 6:25 

注册: 2009-08-04 16:33
帖子: 16704
送出感谢: 21
接收感谢: 1813
引用:
configuration: driver=i915_bpo latency=0

把下面指令 複製 貼進終端機 執行
lsmod | grep i915
把結果全部直接 選取/複製/貼上來

要查 為何不選 i915 而選 i915_bpo


页首
 用户资料  
 
32 楼 
 文章标题 : Re: 为什么vbox不能启动任务?
帖子发表于 : 2016-09-21 11:54 
头像

注册: 2012-11-14 9:34
帖子: 543
系统: Fedora26/Oracle7.4
送出感谢: 1
接收感谢: 36
poloshiao 写道:
引用:
configuration: driver=i915_bpo latency=0

把下面指令 複製 貼進終端機 執行
lsmod | grep i915
把結果全部直接 選取/複製/貼上來

要查 為何不選 i915 而選 i915_bpo


谢谢您的耐心,不过有关硬体的问题,尤其是牵涉到最新的机器,我个人的经验是Ubuntu/Linux进展的很快,稍微等一下,问题总是迟早会解决。我们的资源真的是非常有限,我个人总觉得我们资源最佳的运用还是在应用软件方面,如LibreOffice, GIMP, 中文输入,多媒体制作等。

所需的资料如下:

附件:
i915.jpg
i915.jpg [ 47.3 KiB | 被浏览 1469 次 ]



我们Skylake的机器只有一台,Dell XPS 13 (Intel i7-6700U)。非Skylake的机器,Ubuntu选i915,只有这台Skylake选i915_bpo。 不过,again,这是一台Dell专门为Linux开发者推出的机器,其他的Skylake的机器,我们就不知道了。


页首
 用户资料  
 
33 楼 
 文章标题 : Re: 为什么vbox不能启动任务?
帖子发表于 : 2016-09-21 16:16 
头像

注册: 2012-11-14 9:34
帖子: 543
系统: Fedora26/Oracle7.4
送出感谢: 1
接收感谢: 36
Ping-Wu 写道:
我们Skylake的机器只有一台,Dell XPS 13 (Intel i7-6700U)。非Skylake的机器,Ubuntu选i915,只有这台Skylake选i915_bpo。 不过,again,这是一台Dell专门为Linux开发者推出的机器,其他的Skylake的机器,我们就不知道了。


另外我趁这个机会谈一个很有意思的经验。这台 Dell XPS 13“ 电脑,”号称“有9个小时的电池续航力,但在操作Win10时,虽然只是一般上网,实际续航力不到5个小时。用UbuntuMate开机时,维持个10来把小时没有问题。还有一个很大的差别:从suspend苏醒来时,UbuntuMate几乎是瞬时的,Win10则相较起来有一点拖泥带水。

在操作方面,也有”可感觉到“(noticeable)的差别,UbuntuMate明显的比Win10要快多了。开机时间,前者 ~5秒,Win10则要超过十多秒。如果"Quick Start”没有预先选择的话,LibreOffice只有第一次打开时会花一点时间(~3秒),以后就瞬时了。

其实在云端运算及虚拟机越来越普及的时代,我们接触到硬体的机会实在会越来越少。我们正在评估,干脆把所有的机器都装设成从“customized iso”开机,完全不必维持,基本上也不怕病毒侵袭。这很有可能将来会变成一个趋势(也是Linux桌面相对Windows最大优势之一),到时候连系统都不必碰了。


页首
 用户资料  
 
34 楼 
 文章标题 : Re: 为什么vbox不能启动任务?
帖子发表于 : 2016-09-21 16:16 

注册: 2009-08-04 16:33
帖子: 16704
送出感谢: 21
接收感谢: 1813
引用:
i915.jpg

1. 載入 i915_bpo 但是 沒 載入 i915 (?)
1-1. 以下以
uname -r
4.4.0-34-generic
為例
1-1-1. sudo ls -Al /lib/modules/4.4.0-34-generic/kernel/ubuntu/i915
-rw-r--r-- 1 root root 2111358 7月 28 05:35 i915_bpo.ko
1-1-2. sudo ls -Al /lib/modules/4.4.0-34-generic/kernel/drivers/gpu/drm/i915/
-rw-r--r-- 1 root root 1968942 7月 28 05:29 i915.ko
1-1-3. 想繼續探討 何種請況 可以載入 i915.ko
引用:
Dell XPS 13 (Intel i7-6700U)

2. i7-6700U 還不在 2.0.2 版本 支援硬件名單內
意思是 可能還需再等等 新版本
2-1. https://01.org/linuxgraphics/downloads/ ... -os-v2.0.2
Supported Intel Graphics Stack for Linux* Releases and Linux* Distributions
Ubuntu* 16.04 - Intel Graphics Stack Release 2016Q2 for Linux*
2-2. https://01.org/linuxgraphics/downloads/ ... ck-release
SUPPORTED HARDWARE
6th Generation Intel Core processors with Intel HD Graphics - Skylake
2-3. http://ark.intel.com/products/codename/ ... ylake#@All
已在支援硬件名單內
i7-6700
i7-6700HQ
i7-6700TE
i7-6700K
i7-6700T
還不在支援硬件名單內
i7-6700U
2-4. 支援測試結果
https://01.org/linuxgraphics/2016q2-test-results
This release was validated on the following hardware,
RESULTS FOR 2016Q2



_________________
评价: 3.7% fengtou
 
页首
 用户资料  
 
35 楼 
 文章标题 : Re: 为什么vbox不能启动任务?
帖子发表于 : 2016-09-22 3:39 
头像

注册: 2012-11-14 9:34
帖子: 543
系统: Fedora26/Oracle7.4
送出感谢: 1
接收感谢: 36
poloshiao 写道:
引用:
i915.jpg

1. 載入 i915_bpo 但是 沒 載入 i915 (?)
1-1. 以下以
uname -r
4.4.0-34-generic
為例
1-1-1. sudo ls -Al /lib/modules/4.4.0-34-generic/kernel/ubuntu/i915
-rw-r--r-- 1 root root 2111358 7月 28 05:35 i915_bpo.ko
1-1-2. sudo ls -Al /lib/modules/4.4.0-34-generic/kernel/drivers/gpu/drm/i915/
-rw-r--r-- 1 root root 1968942 7月 28 05:29 i915.ko
1-1-3. 想繼續探討 何種請況 可以載入 i915.ko
引用:
Dell XPS 13 (Intel i7-6700U)

2. i7-6700U 還不在 2.0.2 版本 支援硬件名單內
意思是 可能還需再等等 新版本
2-1. https://01.org/linuxgraphics/downloads/ ... -os-v2.0.2
Supported Intel Graphics Stack for Linux* Releases and Linux* Distributions
Ubuntu* 16.04 - Intel Graphics Stack Release 2016Q2 for Linux*
2-2. https://01.org/linuxgraphics/downloads/ ... ck-release
SUPPORTED HARDWARE
6th Generation Intel Core processors with Intel HD Graphics - Skylake
2-3. http://ark.intel.com/products/codename/ ... ylake#@All
已在支援硬件名單內
i7-6700
i7-6700HQ
i7-6700TE
i7-6700K
i7-6700T
還不在支援硬件名單內
i7-6700U
2-4. 支援測試結果
https://01.org/linuxgraphics/2016q2-test-results
This release was validated on the following hardware,
RESULTS FOR 2016Q2


感动!

其实我们会购买Dell XPS 13乃是因为UbuntuMate的领导人(Project Leader)Martin Winpress("Wimpy")用的就是这款机器。我们用起来,果然不错! :em11 (前些天有一篇新闻,提到 Linus Torvalds每天使用的也是同样的机器。)

我想很多Linux桌面的爱好者在硬体相容度方面吃了很多苦头,更大的困扰,在于问题解决以后,系统更新,问题又回来了,不胜其扰。最好的办法,乃是看高手用什么机器,跟着他们的P股走就没错啦。

Dell XPS 并不便宜,绝对不适合成为“大众化“的料子。我想,等AMDGPU的开源工作成熟以后,希望国内(当然包括两岸)能有一些对推广Linux桌面有热忱的高手,由我们提供经费购买AMD机器来累积使用者经验,以让对Linux桌面有兴趣的新手也可以跟进。


页首
 用户资料  
 
36 楼 
 文章标题 : Re: 为什么vbox不能启动任务?
帖子发表于 : 2016-09-22 14:53 

注册: 2007-06-22 16:15
帖子: 122
系统: Ubuntu-mate
送出感谢: 7
接收感谢: 0 次
可惜的是,我买硬件前不知道高手用什么机器,之前的老机器我也一直用ubuntu-mate,
现在不得不暂时回到windows下,唉,讲到底还是自己水平不够,也没太多时间折腾,有点遗憾


页首
 用户资料  
 
37 楼 
 文章标题 : Re: 为什么vbox不能启动任务?
帖子发表于 : 2016-09-23 0:06 
头像

注册: 2012-11-14 9:34
帖子: 543
系统: Fedora26/Oracle7.4
送出感谢: 1
接收感谢: 36
fengtou 写道:
可惜的是,我买硬件前不知道高手用什么机器,之前的老机器我也一直用ubuntu-mate,
现在不得不暂时回到windows下,唉,讲到底还是自己水平不够,也没太多时间折腾,有点遗憾


忍不的要讲一个故事:

好几年前我们有一个规模相当大的社区Linux桌面训练班(完全是免费的),里面学员的程度参差不齐,但大家接受Linux都没有问题,唯一例外的是一位退休的大学教授(电机博士)。那时候我们采用的是(基于GNOME2的) Ubuntu 10.04(即等于现在的UbuntuMate),但这位仁兄坚持一定要用Linux Mint,结果问题一大堆,我们也没有办法帮忙解决。最后几乎大家都“毕业”了(可以正常使用Ubuntu笔电),只有这位仁兄是例外。

因为使用Linux桌面的人实在太少了,我们的使用者经验非常有限。超过这些既定的范围,问题肯定会发生。


页首
 用户资料  
 
38 楼 
 文章标题 : Re: 为什么vbox不能启动任务?
帖子发表于 : 2016-09-23 16:31 

注册: 2007-06-22 16:15
帖子: 122
系统: Ubuntu-mate
送出感谢: 7
接收感谢: 0 次
Ping-Wu 写道:
fengtou 写道:
可惜的是,我买硬件前不知道高手用什么机器,之前的老机器我也一直用ubuntu-mate,
现在不得不暂时回到windows下,唉,讲到底还是自己水平不够,也没太多时间折腾,有点遗憾


忍不的要讲一个故事:

好几年前我们有一个规模相当大的社区Linux桌面训练班(完全是免费的),里面学员的程度参差不齐,但大家接受Linux都没有问题,唯一例外的是一位退休的大学教授(电机博士)。那时候我们采用的是(基于GNOME2的) Ubuntu 10.04(即等于现在的UbuntuMate),但这位仁兄坚持一定要用Linux Mint,结果问题一大堆,我们也没有办法帮忙解决。最后几乎大家都“毕业”了(可以正常使用Ubuntu笔电),只有这位仁兄是例外。

因为使用Linux桌面的人实在太少了,我们的使用者经验非常有限。超过这些既定的范围,问题肯定会发生。


是呀,有时真的不得已,你看我的注册年月就知道我接触linux多少年了(事实上比注册年月要早很多年),
曾经是个科班出身,但是现在远离IT行业好多年,只是一直把技术作为一种业余爱好坚持下来,到现在确实
没太多精力花在这上面了,真的相当遗憾,或许某天回来看看新内核已经解决了所有问题,那才是我又回来的时候,
谢谢大家鼎力支持。


页首
 用户资料  
 
39 楼 
 文章标题 : Re: 为什么vbox不能启动任务?
帖子发表于 : 2016-09-24 2:40 
头像

注册: 2012-11-14 9:34
帖子: 543
系统: Fedora26/Oracle7.4
送出感谢: 1
接收感谢: 36
fengtou 写道:
或许某天回来看看新内核已经解决了所有问题,那才是我又回来的时候,
谢谢大家鼎力支持。


Linux对Skylake的支持,早就没有问题了。我想问题的根源在于:

fengtou 写道:
你的猜测全是对的,安装vbox的方法两种都试过,直接apt install和在官网下载vbox5.1后点击安装,
结果都一样。


我猜你第一次用Ubuntu官方的套件库装VirtualBox(“apt-get install”),这个版本太旧,不适用于Skylake这样的新晶片。第二次,则是用dpkg来装“在官网下载vbox5.1”。Dpkg打包的品质参差不齐,也许用到了旧版的dependency,当然无法compile kernel module xboxdrv。

因为这个原故(即所谓的“一朝被蛇咬,十年怕草绳” :Haha ),除非是很简单的套件,我们几乎绝对不用dpkg。时代不同了。



_________________
评价: 3.7% fengtou
 
页首
 用户资料  
 
40 楼 
 文章标题 : Re: 为什么vbox不能启动任务?
帖子发表于 : 2016-09-25 21:12 

注册: 2007-06-22 16:15
帖子: 122
系统: Ubuntu-mate
送出感谢: 7
接收感谢: 0 次
Ping-Wu 写道:
fengtou 写道:
或许某天回来看看新内核已经解决了所有问题,那才是我又回来的时候,
谢谢大家鼎力支持。


Linux对Skylake的支持,早就没有问题了。我想问题的根源在于:

fengtou 写道:
你的猜测全是对的,安装vbox的方法两种都试过,直接apt install和在官网下载vbox5.1后点击安装,
结果都一样。


我猜你第一次用Ubuntu官方的套件库装VirtualBox(“apt-get install”),这个版本太旧,不适用于Skylake这样的新晶片。第二次,则是用dpkg来装“在官网下载vbox5.1”。Dpkg打包的品质参差不齐,也许用到了旧版的dependency,当然无法compile kernel module xboxdrv。

因为这个原故(即所谓的“一朝被蛇咬,十年怕草绳” :Haha ),除非是很简单的套件,我们几乎绝对不用dpkg。时代不同了。


但是我已经重装过mate,又再重装mint,都重新安装vbox试过了,实在是水平跟不上哦


页首
 用户资料  
 
41 楼 
 文章标题 : Re: 为什么vbox不能启动任务?
帖子发表于 : 2016-09-27 7:24 
头像

注册: 2012-11-14 9:34
帖子: 543
系统: Fedora26/Oracle7.4
送出感谢: 1
接收感谢: 36
Ping-Wu 写道:
poloshiao 写道:
引用:
i915.jpg

1. 載入 i915_bpo 但是 沒 載入 i915 (?)
1-1. 以下以
uname -r
4.4.0-34-generic
為例
1-1-1. sudo ls -Al /lib/modules/4.4.0-34-generic/kernel/ubuntu/i915
-rw-r--r-- 1 root root 2111358 7月 28 05:35 i915_bpo.ko
1-1-2. sudo ls -Al /lib/modules/4.4.0-34-generic/kernel/drivers/gpu/drm/i915/
-rw-r--r-- 1 root root 1968942 7月 28 05:29 i915.ko
1-1-3. 想繼續探討 何種請況 可以載入 i915.ko
引用:
Dell XPS 13 (Intel i7-6700U)

2. i7-6700U 還不在 2.0.2 版本 支援硬件名單內
意思是 可能還需再等等 新版本
2-1. https://01.org/linuxgraphics/downloads/ ... -os-v2.0.2
Supported Intel Graphics Stack for Linux* Releases and Linux* Distributions
Ubuntu* 16.04 - Intel Graphics Stack Release 2016Q2 for Linux*
2-2. https://01.org/linuxgraphics/downloads/ ... ck-release
SUPPORTED HARDWARE
6th Generation Intel Core processors with Intel HD Graphics - Skylake
2-3. http://ark.intel.com/products/codename/ ... ylake#@All
已在支援硬件名單內
i7-6700
i7-6700HQ
i7-6700TE
i7-6700K
i7-6700T
還不在支援硬件名單內
i7-6700U
2-4. 支援測試結果
https://01.org/linuxgraphics/2016q2-test-results
This release was validated on the following hardware,
RESULTS FOR 2016Q2


感动!

其实我们会购买Dell XPS 13乃是因为UbuntuMate的领导人(Project Leader)Martin Winpress("Wimpy")用的就是这款机器。我们用起来,果然不错! :em11 (前些天有一篇新闻,提到 Linus Torvalds每天使用的也是同样的机器。)

我想很多Linux桌面的爱好者在硬体相容度方面吃了很多苦头,更大的困扰,在于问题解决以后,系统更新,问题又回来了,不胜其扰。最好的办法,乃是看高手用什么机器,跟着他们的P股走就没错啦。

Dell XPS 并不便宜,绝对不适合成为“大众化“的料子。我想,等AMDGPU的开源工作成熟以后,希望国内(当然包括两岸)能有一些对推广Linux桌面有热忱的高手,由我们提供经费购买AMD机器来累积使用者经验,以让对Linux桌面有兴趣的新手也可以跟进。


昨天在书店浏览杂志时,注意到一篇文章(英文),里面提到北京龙泉寺的出家人使用Linux及MongoDB(可以用JavaScript写queries)来整理佛经,制作佛教资料库,及处理各种IT事宜。

不知道他们使用的是哪一家的产品(Distro)?


页首
 用户资料  
 
42 楼 
 文章标题 : Re: 为什么vbox不能启动任务?
帖子发表于 : 2016-09-27 8:22 

注册: 2009-08-04 16:33
帖子: 16704
送出感谢: 21
接收感谢: 1813
引用:
不知道他们使用的是哪一家的产品(Distro)?

看看 有沒有線索
http://www.xici.net/b1224638/
北京龙泉寺出家论坛


页首
 用户资料  
 
43 楼 
 文章标题 : Re: 为什么vbox不能启动任务?
帖子发表于 : 2016-09-27 9:48 
头像

注册: 2012-11-14 9:34
帖子: 543
系统: Fedora26/Oracle7.4
送出感谢: 1
接收感谢: 36
poloshiao 写道:
引用:
不知道他们使用的是哪一家的产品(Distro)?

看看 有沒有線索
http://www.xici.net/b1224638/
北京龙泉寺出家论坛


龙泉寺的高手很多,例如:

禅兴法师,是清华大学流体力学博士;
贤清法师,是清华大学工程热物理专业博士;
贤威法师,是中国科学院生物物理研究所博士;
贤启法师,是清华大学核能和热能物理博士;
贤兆法师,是北京航空航天大学教授;
贤庆法师,是北京大学哲学系研究生。

贤兆法师有一篇PO文,记录他出家的心路历程:

http://blog.sina.com.cn/s/blog_590b4fba0102ed2l.html

“今生吾获福,幸得此人身;复生佛家族,喜成如来子;尔后我当为,宜乎佛族业;慎莫染污此,无垢尊贵种。”

我只是有兴趣是否有住在北京海淀的坛友(那里学校很多应该没有问题吧),能拜访一下龙泉寺? 龙泉寺进去不需门票。


页首
 用户资料  
 
44 楼 
 文章标题 : Re: 为什么vbox不能启动任务?
帖子发表于 : 2016-09-27 11:42 

注册: 2009-08-04 16:33
帖子: 16704
送出感谢: 21
接收感谢: 1813
引用:
不知道他们使用的是哪一家的产品(Distro)?

http://www.nownews.com/n/2016/04/12/2059333
北京龍泉寺 最強科研組織!掃地僧點化張小龍
二、自建資訊化管理系統
龍泉寺的賢信法師,精通Linux和Mongodb,帶領一幫IT義工,搭建了專業的資訊平台,自己編寫代碼,用數字技術管理寺裡的日常生活及與外界的聯繫等一切事宜。

http://www.nownews.com/n/2016/08/31/2222151
龍泉寺網紅「賢二」養成記
龍泉寺推出一個名為「賢二」的機器僧。


页首
 用户资料  
 
45 楼 
 文章标题 : Re: 为什么vbox不能启动任务?
帖子发表于 : 2016-09-29 14:35 
头像

注册: 2012-11-14 9:34
帖子: 543
系统: Fedora26/Oracle7.4
送出感谢: 1
接收感谢: 36
fengtou 写道:
Ping-Wu 写道:
fengtou 写道:
或许某天回来看看新内核已经解决了所有问题,那才是我又回来的时候,
谢谢大家鼎力支持。


Linux对Skylake的支持,早就没有问题了。我想问题的根源在于:

fengtou 写道:
你的猜测全是对的,安装vbox的方法两种都试过,直接apt install和在官网下载vbox5.1后点击安装,
结果都一样。


我猜你第一次用Ubuntu官方的套件库装VirtualBox(“apt-get install”),这个版本太旧,不适用于Skylake这样的新晶片。第二次,则是用dpkg来装“在官网下载vbox5.1”。Dpkg打包的品质参差不齐,也许用到了旧版的dependency,当然无法compile kernel module xboxdrv。

因为这个原故(即所谓的“一朝被蛇咬,十年怕草绳” :Haha ),除非是很简单的套件,我们几乎绝对不用dpkg。时代不同了。


但是我已经重装过mate,又再重装mint,都重新安装vbox试过了,实在是水平跟不上哦


我问了几个朋友,同样都是最新的Intel i5 (Skylake CPU),启动跟执行VirtualBox(5.1版本)都没有问题。

印象中Ubuntu 16.04刚刚出来时,与Skylake相容性的确(好像)有问题,但dist-upgrade到最新的版本后应该就没有问题了。Ubuntu对Linux 核心的backporting(即将4.7的功能往后移植到4.4核心)比较积极,但必须做

代码:
sudo apt-get upgate; sudo apt-get dist-upgrade

才能有这些功能。

我再看一下你原来的error message, "modprobe xboxdrv failed",通常这表示原来(VBox 5.0)的kernel module 还存在,造成VBox 5.1的kernel module无法跟Linux 核心相接(modprobe)。 以后如果有时间再尝试Ubuntu时,建议把系统更新后再多花一点功夫,照着我前面提到的程序装最新版的VirtualBox。


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 54 篇帖子 ]  前往页数 上一页  1, 2, 3, 4  下一页

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 2 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译